# What is Arkanum ?

## 🙏 Mantra

Arkanum pursues the following principles to achieve its goals:

### 🥕 Principles

- Reduce the setup + configuration complexity by
- Completing existing VSCode remote development solutions *(like `Coder/code-server` or `gitpod-io/openvscode-server`)* with an
  opinionated tool set and configuration.

### 🏁 Goals

- Deliver a fully featured remote development environment.
- Provide the best possible user experience for daily VS Code remote usage.

And most important:

> [!TIP] ⭐ Help people to stay focused on their primary task:
> Develop awesome stuff without wasting time with setting up *DEV* environments.

## 📆 History

The Arkanum project started when I was challenged to work on multiple projects from different locations
and devices. Setting up VSCode based *DEV* environments can be hard and takes a minute. Especially when
you think about all the tools, extensions and setup needed to work efficiently. On top of this,
you also want to keep the environments up to date to avoid version problems.

Another motivation was the fact that I needed to find a way reducing the time for onboarding, supporting, and debugging the environments from other teammates.

So I started searching for existing solutions. I didn't wan't to go the traditional way of packaging and deploying
a software solution. Luckily there was already a way to use VS Code remotely and I started working with [coder/code-server](https://github.com/coder/code-server)
and [gitpod-io/openvscode-server](https://github.com/gitpod-io/openvscode-server).

In late 2022 I decided to customize these project and so I started `Arkanum` as open-source project.
